## tdewebdev-trinity 14.1.5~pre2

=== doc/CMakeLists.txt ===
add_subdirectory( man )

tde_conditional_add_subdirectory( BUILD_QUANTA          quanta          )
tde_conditional_add_subdirectory( BUILD_KOMMANDER       kommander       )
tde_conditional_add_subdirectory( BUILD_KLINKSTATUS     klinkstatus     )
tde_conditional_add_subdirectory( BUILD_KIMAGEMAPEDITOR kimagemapeditor )

=== kimagemapeditor/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kimagemapeditorcommon (static)

tde_add_library( kimagemapeditorcommon STATIC_PIC AUTOMOC

  SOURCES
        qextfileinfo.cpp
        areacreator.cpp
        kimearea.cpp
        kimecommands.cpp
        kimedialogs.cpp
        kimagemapeditor.cpp
        drawzone.cpp
        arealistview.cpp
        imageslistview.cpp
        mapslistview.cpp
  LINK
     tdehtml-shared
)


##### libkimagemapeditor (kpart)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_kpart( libkimagemapeditor AUTOMOC

  SOURCES
        dummy.cpp
  EMBED
     kimagemapeditorcommon-static
  LINK
     tdeparts-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimagemapeditor (executable)

tde_add_executable( kimagemapeditor AUTOMOC

  SOURCES
        main.cpp
        kimeshell.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kimagemapeditorcommon-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES kimagemapeditorui.rc kimagemapeditorpartui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kimagemapeditor
)

tde_create_translated_desktop(
    SOURCE kimagemapeditor.desktop
    PO_DIR kimagemapeditor-desktops
)

tde_create_translated_desktop(
    SOURCE kimagemapeditorpart.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kimagemapeditor-desktops
)

=== klinkstatus/data/CMakeLists.txt ===
add_subdirectory( icons  )
add_subdirectory( styles )

=== kommander/editor/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/widget
  ${CMAKE_SOURCE_DIR}/kommander/widgets
  ${CMAKE_SOURCE_DIR}/kommander/plugin
  ${CMAKE_SOURCE_DIR}/kommander/factory
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_definitions( -DKOMMANDER -DTQT_NO_SQL -DDESIGNER )
 

##### kmdr-editor (executable)

tde_add_executable( kmdr-editor AUTOMOC

  SOURCES
        actioneditor.ui assoctexteditor.ui
        connectioneditor.ui createtemplate.ui
        formsettings.ui iconvieweditor.ui
        listboxeditor.ui listeditor.ui
        listvieweditor.ui multilineeditor.ui
        newform.ui paletteeditor.ui
        paletteeditoradvanced.ui pixmapfunction.ui
        preferences.ui previewwidget.ui
        tableeditor.ui wizardeditor.ui
        choosewidget.ui functions.ui
        actiondnd.cpp actioneditorimpl.cpp
        assoctexteditorimpl.cpp actionlistview.cpp
        asciivalidator.cpp assistproc.cpp
        command.cpp connectioneditorimpl.cpp
        defs.cpp filechooser.cpp
        formfile.cpp formsettingsimpl.cpp
        formwindow.cpp hierarchyview.cpp
        iconvieweditorimpl.cpp layout.cpp
        listboxeditorimpl.cpp listvieweditorimpl.cpp
        main.cpp mainwindow.cpp
        mainwindowactions.cpp metadatabase.cpp
        multilineeditorimpl.cpp newformimpl.cpp
        orderindicator.cpp paletteeditoradvancedimpl.cpp
        paletteeditorimpl.cpp parser.cpp
        pixmapchooser.cpp previewframe.cpp
        previewwidgetimpl.cpp propertyeditor.cpp
        qcompletionedit.cpp resource.cpp
        sizehandle.cpp styledbutton.cpp
        tableeditorimpl.cpp widgetdatabase.cpp
        widgetfactory.cpp wizardeditorimpl.cpp
        workspace.cpp choosewidgetimpl.cpp
        functionsimpl.cpp messagelog.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     tdetexteditor-shared
     kommanderwidget-shared
     kommanderwidgets-shared
     kommanderplugin-shared
     kommanderfactory-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES kommander.xml kommander-new.xml
    DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax
)

tde_create_translated_desktop(
    SOURCE kmdr-editor.desktop
    PO_DIR kommander-desktops
)

=== quanta/parsers/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( dtd )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/treeviews
  ${CMAKE_SOURCE_DIR}/quanta/parts/kafka
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### parser (static) ###########################

tde_add_library( parser STATIC_PIC AUTOMOC
  SOURCES
    qtag.cpp node.cpp tag.cpp parser.cpp saparser.cpp
    parsercommon.cpp sagroupparser.cpp
)

=== quanta/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/quanta/dialogs
  ${CMAKE_BINARY_DIR}/quanta/dialogs/settings
  ${CMAKE_BINARY_DIR}/quanta/dialogs/tagdialogs
  ${CMAKE_BINARY_DIR}/quanta/parts/kafka
  ${CMAKE_BINARY_DIR}/quanta/components/tableeditor
  ${CMAKE_BINARY_DIR}/quanta/components/csseditor
  ${CMAKE_BINARY_DIR}/quanta/components/framewizard
  ${CMAKE_BINARY_DIR}/quanta/components/cvsservice
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/project
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/parsers/dtd
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/parts/kafka
  ${CMAKE_SOURCE_DIR}/quanta/parts/preview
  ${CMAKE_SOURCE_DIR}/quanta/components/debugger
  ${CMAKE_SOURCE_DIR}/quanta/components/tableeditor
  ${CMAKE_SOURCE_DIR}/quanta/components/csseditor
  ${CMAKE_SOURCE_DIR}/quanta/components/framewizard
  ${CMAKE_SOURCE_DIR}/quanta/components/cvsservice
  ${CMAKE_SOURCE_DIR}/quanta/messages
  ${CMAKE_SOURCE_DIR}/quanta/treeviews
  ${CMAKE_SOURCE_DIR}/quanta/plugins
  ${CMAKE_SOURCE_DIR}/quanta/dialogs
  ${CMAKE_SOURCE_DIR}/quanta/dialogs/settings
  ${CMAKE_SOURCE_DIR}/quanta/dialogs/tagdialogs
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
    SOURCE quanta.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
    PO_DIR quanta-desktops
)
tde_create_translated_desktop(
    SOURCE x-webprj.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
    PO_DIR quanta-desktops
)


##### quanta (executable) #######################

set_property( SOURCE kqapp.cpp APPEND PROPERTY COMPILE_DEFINITIONS PREFIX="${CMAKE_INSTALL_PREFIX}" )

tde_add_executable( quanta AUTOMOC

  SOURCES
    quanta_init.cpp quantaview.cpp quantadoc.cpp
    main.cpp document.cpp kqapp.cpp quanta.cpp
    dcopwindowmanagerif.skel dcopsettingsif.skel
    dcopquantaif.skel dcopsettings.cpp dtds.cpp
    dcopquanta.cpp viewmanager.cpp
  LINK
     tdecore-shared tdeui-shared tdeio-shared
     katepartinterfaces-shared tdenewstuff-shared
     tdeabc-shared tdetexteditor-shared
     tdemdi-shared tdehtml-shared tdespell-shared
     kafkalibrary-static project-static
     plugins-static parser-static
     dtdparser-static treeviews-static
     dialogs-static debuggermanager-static
     tagdialogs-static settingsdialogs-static
     messages-static framewizard-static
     csseditor-static tableeditor-static
     preview-static utility-static quantamodule-static
     ${LIBXML_LIBRARIES} ${LIBXSLT_LIBRARIES} ${CVSSERVICE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)

=== klinkstatus/src/cfg/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### cfg (static)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( cfg STATIC_PIC AUTOMOC

  SOURCES
        klsconfig.kcfgc
        dummy.cpp
)


##### other data

install(
    FILES klinkstatus.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== klinkstatus/src/utils/CMakeLists.txt ===
add_compile_options( ${ICU_CXXFLAGS} )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### utils (static)

tde_add_library( utils STATIC_PIC AUTOMOC

  SOURCES
        utils.cpp
        xsl.cpp
  LINK
     ${LIBXSLT_LIBRARIES}
)

=== quanta/components/debugger/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( interfaces )
add_subdirectory( gubed )
add_subdirectory( dbgp )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/project
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/messages
  ${CMAKE_SOURCE_DIR}/quanta/parts/preview
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### debuggermanager (static) ##################

tde_add_library( debuggermanager STATIC_PIC AUTOMOC
  SOURCES
    debuggermanager.cpp debuggerbreakpoint.cpp
    quantadebuggerinterface.cpp debuggervariable.cpp
    debuggerui.cpp variableslistview.cpp
    debuggerbreakpointlist.cpp
    debuggervariablesets.ui
    debuggerbreakpointview.cpp
    pathmapper.cpp pathmapperdialogs.ui
    pathmapperdialog.cpp pathmapperdialog.h
    conditionalbreakpointdialogs.ui
    conditionalbreakpointdialog.cpp
    conditionalbreakpointdialog.h
    backtracelistview.cpp
  LINK debuggerinterface-static
)

=== quanta/data/dtep/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( html )
add_subdirectory( html5 )
add_subdirectory( html-frameset )
add_subdirectory( html-strict )
add_subdirectory( tagxml )
add_subdirectory( php )
add_subdirectory( xhtml )
add_subdirectory( xhtml-basic )
add_subdirectory( xhtml-frameset )
add_subdirectory( xhtml-strict )
add_subdirectory( xhtml11 )
add_subdirectory( xslt )
add_subdirectory( wml-1-2 )
add_subdirectory( css )
add_subdirectory( docbook-4.2 )
add_subdirectory( schema )
add_subdirectory( cfml )
add_subdirectory( cffunct )
add_subdirectory( kde-docbook-4.1.2 )
add_subdirectory( kde-docbook-4.2 )
add_subdirectory( relaxng )
add_subdirectory( empty )
add_subdirectory( dtd )

=== quanta/data/toolbars/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  (C) 2019 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### other data ################################

foreach( _toolbar debug )

    tde_create_tarball(
        TARGET ${_toolbar}.toolbar.tgz
        FILES ${_toolbar}.actions ${_toolbar}.toolbar
        DESTINATION ${DATA_INSTALL_DIR}/quanta/toolbars
    )

endforeach( )


##### directories ###############################

tde_auto_add_subdirectories( )

=== quanta/parsers/dtd/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_compile_options( ${ICU_CXXFLAGS} )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/quanta/dialogs
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/dialogs
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
)


##### dtdparser (static) ########################

tde_add_library( dtdparser STATIC_PIC
  SOURCES
    dtepcreationdlg.ui dtdparser.cpp
  DEPENDENCIES dialogs-static
)

=== debian/changelog ===
tdewebdev-trinity (4:14.1.5~pre2-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for 2551a3a509e0c224a1c79e41aa093f25e134e320
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 16:46:09 +0200

## tdewebdev-trinity 14.1.5

=== quanta/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( data )
add_subdirectory( utility )
add_subdirectory( dialogs )
add_subdirectory( components )
add_subdirectory( parsers )
add_subdirectory( treeviews )
add_subdirectory( messages )
add_subdirectory( plugins )
add_subdirectory( parts )
add_subdirectory( project )
add_subdirectory( src )
add_subdirectory( scripts )

=== kommander/widget/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/plugin
  ${CMAKE_SOURCE_DIR}/kommander/factory
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kommanderwidget (shared)

tde_add_library( kommanderwidget SHARED AUTOMOC

  SOURCES
        expression.cpp function.cpp
        functionlib.cpp invokeclass.cpp
        kmdrmainwindow.cpp kommanderfunctions.cpp
        kommanderwidget.cpp kommanderwindow.cpp
        myprocess.cpp parsenode.cpp
        parser.cpp parserdata.cpp
  LINK
     tdecore-shared
     tdeio-shared
     tdeui-shared
     kommanderplugin-shared
     kommanderfactory-static

  DESTINATION ${LIB_INSTALL_DIR}
  
  VERSION 0.0.0
)


##### headers

install(
    FILES kommanderwidget.h kommander_export.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== lib/compatibility/CMakeLists.txt ===

add_subdirectory( tdemdi )

=== quanta/data/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( doc )
add_subdirectory( dtep )
add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( templates )
add_subdirectory( toolbars )
add_subdirectory( config )

install( FILES chars tips DESTINATION ${DATA_INSTALL_DIR}/quanta )

=== quanta/utility/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/dialogs/tagdialogs
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/messages
  ${CMAKE_SOURCE_DIR}/quanta/parts/kafka
  ${CMAKE_SOURCE_DIR}/quanta/project
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

##### utility (static) ##########################

tde_add_library( utility STATIC_PIC AUTOMOC
  SOURCES
    quantacommon.cpp tagaction.cpp
    toolbartabwidget.cpp toolbarxmlgui.cpp
    newstuff.cpp quantanetaccess.cpp qpevents.cpp
    quantabookmarks.cpp tagactionmanager.cpp
    tagactionset.cpp
)

=== quanta/data/doc/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    documentation.html head_bg.gif minilogo.jpg quanta.docrc aniquanta.gif
    background.png bgtable.png developer.html focus.html intro.html
    tdelogo2.png konq.css lines.png lines2.png minilogo.png more.png
    quanta.css quantahdr.png shadow1.png tips.html webdev.png maindoc.html
    template.html qcenter2.png faq.html
  DESTINATION ${DATA_INSTALL_DIR}/quanta/doc )

=== quanta/data/templates/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( images )
add_subdirectory( text )
add_subdirectory( documents )
add_subdirectory( binaries )
add_subdirectory( pages )
add_subdirectory( scripts )

=== quanta/dialogs/settings/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/src
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### settingsdialogs (static) ##################

tde_add_library( settingsdialogs STATIC_PIC AUTOMOC
  SOURCES
    parseroptionsui.ui parseroptions.cpp
    previewoptionss.ui previewoptions.cpp
    filemaskss.ui filemasks.cpp styleoptionss.ui
    abbreviations.ui abbreviation.cpp
    codetemplatedlgs.ui
)

=== quanta/parts/kafka/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS) # add_compile_options( -fexceptions )

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/project
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/treeviews
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### other data ################################

install( FILES entities DESTINATION ${DATA_INSTALL_DIR}/kafkapart )


##### kafkalibrary (static) #####################

tde_add_library( kafkalibrary STATIC_PIC AUTOMOC
  SOURCES
    htmlenhancer.cpp domtreeview.cpp kafkacommon.cpp
    kafkahtmlpart.cpp nodeproperties.cpp
    wkafkapart.cpp undoredo.cpp kafkasyncoptionsui.ui
    htmldocumentpropertiesui.ui kafkasyncoptions.cpp
    htmldocumentproperties.cpp cursors.cpp
    kafkadragobject.cpp
)

=== quanta/parts/preview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/quanta/utility
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### preview (static) ##########################

tde_add_library( preview STATIC_PIC AUTOMOC
  SOURCES whtmlpart.cpp
)

=== quanta/data/dtep/xhtml/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    basefont.tag font.tag isindex.tag description.rc
    a.tag abbr.tag acronym.tag address.tag
    applet.tag area.tag b.tag base.tag bdo.tag
    big.tag blockquote.tag body.tag br.tag button.tag
    caption.tag center.tag cite.tag code.tag col.tag
    colgroup.tag dd.tag del.tag dfn.tag dir.tag
    div.tag dl.tag dt.tag em.tag fieldset.tag
    form.tag head.tag headings.tag hr.tag html.tag
    i.tag iframe.tag img.tag input.tag ins.tag
    kbd.tag label.tag legend.tag li.tag link.tag
    map.tag menu.tag meta.tag noframes.tag
    noscript.tag object.tag ol.tag optgroup.tag
    option.tag p.tag param.tag pre.tag q.tag s.tag
    samp.tag script.tag select.tag small.tag span.tag
    strike.tag strong.tag style.tag sub.tag sup.tag
    table.tag tbody.tag td.tag textarea.tag tfoot.tag
    th.tag thead.tag title.tag tr.tag tt.tag u.tag
    ul.tag var.tag common.tag
  DESTINATION ${DATA_INSTALL_DIR}/quanta/dtep/xhtml )

=== quanta/data/icons/22x22/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    ball.png button.png check_clear.png
    check_grey.png check.png css.png
    date.png debug_leap.png debug_run.png
    debug_skip.png debug_stepinto.png debug_stepout.png
    debug_stepover.png div_center.png div_justify.png
    div_left.png div_right.png font_dec.png
    font_inc.png form.png frame.png
    ftab.png ftpclient.png html5_abbr.png
    html5_address.png html5_a.png html5_area.png
    html5_article.png html5_aside.png html5_audio.png
    html5_base.png html5_bdi.png html5_bdo.png
    html5_big.png html5_blockquote.png html5_body.png
    html5_b.png html5_br.png html5_caption.png
    html5_center.png html5_cite.png html5_code.png
    html5_colgroup.png html5_col.png html5_com.png
    html5_data.png html5_dd.png html5_del.png
    html5_details.png html5_dir.png html5_div.png
    html5_dl.png html5_dt.png html5_DT.png
    html5_embed.png html5_figcaption.png html5_figure.png
    html5_font.png html5_footer.png html5_h1.png
    html5_h2.png html5_h3.png html5_h4.png
    html5_h5.png html5_h6.png html5_header.png
    html5_head.png html5_hr.png html5_html.png
    html5_img.png html5_ins.png html5_i.png
    html5_kbd.png html5_link.png html5_li.png
    html5_main.png html5_map.png html5_mark.png
    html5_meta.png html5_nav.png html5_noscript.png
    html5_object.png html5_ol.png html5_picture.png
    html5_p.png html5_pre.png html5_q.png
    html5_rp.png html5_rt.png html5_ruby.png
    html5_samp.png html5_script.png html5_section.png
    html5_small.png html5_source.png html5_span.png
    html5_strong.png html5_style.png html5_sub.png
    html5_sup.png html5_svg.png html5_table.png
    html5_tbody.png html5_td.png html5_tfoot.png
    html5_thead.png html5_th.png html5_time.png
    html5_title.png html5_track.png html5_tr.png
    html5_ul.png html5_u.png html5_var.png
    html5_video.png html5_wbr.png lineedit.png
    linepas.png output_win.png preview.png
    ptab.png quick_list.png quick-screenshot.png
    quick_start.png quick_table.png radio.png
    replace.png reset.png select.png
    submit.png table_data.png table_head.png
    tag_access.png tag_all.png tag_amp.png
    tag_anyAttribute.png tag_any.png tag_a.png
    tag_appInfo.png tag_attributeGroup.png tag_attribute.png
    tag_attr.png tag_a_url.png tag_bold.png
    tag_br.png tag_caption.png tag_card.png
    tag_cdata.png tag_chapter.png tag_choice.png
    tag_comm.png tag_complexContent.png tag_complexType.png
    tag_dd.png tag_dl.png tag_documenation.png
    tag_do.png tag_dt.png tag_element.png
    tag_em.png tag_example.png tag_extension.png
    tag_field.png tag_font_base.png tag_font.png
    tag_footnote.png tag_footnoteref.png tag_fractionDigits.png
    tag_go.png tag_group.png tag_guimenuitem.png
    tag_guimenu.png tag_guisubmenu.png tag_h1.png
    tag_h2.png tag_h3.png tag_h4.png
    tag_h5.png tag_head.png tag_hr.png
    tag_imagedata.png tag_image.png tag_import.png
    tag_include.png tag_informalexample.png tag_inlinemediaobject.png
    tag_i.png tag_keycap.png tag_keycombo.png
    tag_key.png tag_keyref.png tag_label.png
    tag_link.png tag_li.png tag_listitem.png
    tag_list.png tag_loc.png tag_mail.png
    tag_member.png tag_menuchoice.png tag_menu.png
    tag_meta.png tag_misc.png tag_nbsp.png
    tag_noop.png tag_notation.png tag_ol.png
    tag_onevent.png tag_para.png tag_postfield.png
    tag_p.png tag_pre.png tag_procedure.png
    tag_redefine.png tag_restriction.png tag_schema.png
    tag_screenshotinfo.png tag_screenshot.png tag_sect1.png
    tag_sect2.png tag_sect3.png tag_sect4.png
    tag_sect5.png tag_selector.png tag_sequence.png
    tag_setvar.png tag_shortcut.png tag_simpleContent.png
    tag_simpleType.png tag_step.png tag_sub.png
    tag_substeps.png tag_sup.png tag_table_body.png
    tag_table.png tag_table_row.png tag_tag.png
    tag_tbody.png tag_td.png tag_term.png
    tag_tgroup.png tag_th.png tag_title.png
    tag_tr.png tag_ulink.png tag_ul.png
    tag_union.png tag_unique.png tag_u.png
    tag_variablelist.png tag_varlistentry.png tag_varlistitem.png
    tag_what.png tag_wml.png tag_xref.png
    textarea.png tree_win.png ttab.png
    view_text.png vpl.png vpl_text.png
    xmlval.png xsltproc.png
  DESTINATION ${DATA_INSTALL_DIR}/quanta/toolbar )

=== debian/changelog ===
tdewebdev-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 16:46:09 +0200

## tdewebdev-trinity 14.1.6~pre0

=== debian/changelog ===
tdewebdev-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2551a3a509e0c224a1c79e41aa093f25e134e320
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 16:46:09 +0200

## tdewebdev-trinity 14.1.6~pre3

=== debian/changelog ===
tdewebdev-trinity (4:14.1.6~pre3-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for 0ab4da104ad64b1f2ec73dadf996dce060e25f66
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 31 Dec 2025 02:31:02 +0100

## tdewebdev-trinity 14.1.6~pre4

=== debian/changelog ===
tdewebdev-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fb5291b96cb5a449d7feb02ceff2341f55de1c49
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:29 +0100

## tdewebdev-trinity 14.1.6~pre6

=== debian/changelog ===
tdewebdev-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2e2887f565c1646557a01dde35999204811ab356
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:20:00 +0100

## tdewebdev-trinity 14.1.6~pre8

=== klinkstatus/src/ui/settings/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/klinkstatus/src/cfg
  ${CMAKE_BINARY_DIR}/klinkstatus/src
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### settings (static)

tde_add_library( settings STATIC_PIC AUTOMOC

  SOURCES
        ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
        configsearchdialog.ui
        configresultsdialog.ui
        configidentificationdialogui.ui
        configidentificationdialog.cpp

  DEPENDENCIES
        cfg-static
        klinkstatus+src+cfg+klsconfig.cpp
)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

=== debian/changelog ===
tdewebdev-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for afa56f249c0ec06d38ce9f82d61cf78368668320
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Feb 2026 02:27:20 +0100

## tdewebdev-trinity 14.2.0~pre85

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre85-0debian11.0.0+6) bullseye; urgency=low

  * Automated git build for ae098dd0dc3160487611baa736f16b0d9ee2dc10
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: tdewebdev-trinity
Section: web
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tqt3-doc, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, libicu-dev, libcvsservice-trinity-dev
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: tdewebdev-trinity
Architecture: all
Section: tde
Replaces: kdewebdev-trinity (<< 4:14.0.0~)
Breaks: kdewebdev-trinity (<< 4:14.0.0~)
Depends: quanta-trinity (>= ${source:Version}), kimagemapeditor-trinity (>= ${source:Version}), klinkstatus-trinity (>= ${source:Version}), kommander-trinity (>= ${source:Version}), kxsldbg-trinity (>= ${source:Version})
Suggests: kommander-trinity-dev (>= ${source:Version}), tdewebdev-trinity-doc-html (>= ${source:Version})
Description: web development apps from the official TDE release [Trinity]
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of web development applications
 provided with the official release of TDE.

Package: tdewebdev-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdewebdev-trinity
Description: TDE web development documentation in HTML format [Trinity]
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE web development documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/quanta/. Documentation is provided for most
 TDE web development packages.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-trinity
Architecture: any
Section: web
Replaces: quanta-trinity (<< 4:14.0.0~)
Breaks: quanta-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdefilereplace-trinity, klinkstatus-trinity, kommander-trinity, quanta-data-trinity, tidy
Recommends: cervisia-trinity, gnupg, kompare-trinity, kxsldbg-trinity, docbook-defguide
Suggests: gubed, kimagemapeditor-trinity, wget, khelpcenter-trinity, php-doc
Description: web development environment for TDE [Trinity]
 Quanta Plus is a web development environment for working with HTML
 and associated languages. It strives to be neutral and transparent
 to all markup languages, while supporting popular web-based scripting
 languages, CSS and other emerging W3C recommendations.
 .
 Quanta Plus supports many external components, debuggers and other tools
 for web development, several of which are shipped with the TDE web
 development module.
 .
 Quanta Plus is not in any way affiliated with any commercial versions
 of Quanta. The primary coders from the original team left the GPL'd
 version to produce a commercial product.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-data-trinity
Architecture: all
Section: web
Replaces: quanta-data-trinity (<< 4:14.0.0~)
Breaks: quanta-data-trinity (<< 4:14.0.0~)
Recommends: quanta-trinity (= ${source:Version})
Description: data files for Quanta Plus web development environment [Trinity]
 This package contains architecture-independent data files for Quanta
 Plus, a web development environment for working with HTML and associated
 languages.
 .
 See the quanta package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kimagemapeditor-trinity
Architecture: any
Section: editors
Replaces: kimagemapeditor-trinity (<< 4:14.0.0~)
Breaks: kimagemapeditor-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity
Description: HTML image map editor for TDE [Trinity]
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: klinkstatus-trinity
Architecture: any
Section: web
Replaces: klinkstatus-trinity (<< 4:14.0.0~)
Breaks: klinkstatus-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: web link validity checker for TDE [Trinity]
 KLinkStatus is TDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity
Architecture: any
Section: tde
Replaces: kommander-trinity (<< 4:14.0.0~)
Breaks: kommander-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kommander-trinity-dev, quanta-trinity, khelpcenter-trinity
Description: visual dialog builder and executor tool [Trinity]
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity-dev
Architecture: any
Section: libdevel
Replaces: kommander-trinity-dev (<< 4:14.0.0~)
Breaks: kommander-trinity-dev (<< 4:14.0.0~)
Depends: kommander-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for Kommander [Trinity]
 This package contains the headers and other development files for
 building plugins or otherwise extending Kommander.
 .
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 See the kommander package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kxsldbg-trinity
Architecture: any
Section: text
Replaces: kxsldbg-trinity (<< 4:14.0.0~)
Breaks: kxsldbg-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: graphical XSLT debugger for TDE [Trinity]
 KXSLDbg is a debugger for XSLT scripts. It includes a graphical user
 interface as well as a text-based debugger. KXSLDbg can be run as a
 standalone application or as an embedded TDE part.
 .
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.,
 using standard XSLT stylesheets.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: tdewebdev-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdewebdev-trinity-dbg (<< 4:14.0.0~)
Breaks: kdewebdev-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdewebdev [Trinity]
 This package contains the debugging symbols associated with tdewebdev.
 They will automatically be used by gdb for debugging tdewebdev-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_INSTALL_CHANGELOGS_kimagemapeditor-trinity := kimagemapeditor/ChangeLog
DEB_INSTALL_CHANGELOGS_klinkstatus-trinity     := klinkstatus/ChangeLog
DEB_INSTALL_CHANGELOGS_kommander-trinity       := kommander/ChangeLog
DEB_INSTALL_CHANGELOGS_quanta-trinity          := quanta/ChangeLog

DEB_DH_STRIP_ARGS  := --dbg-package=tdewebdev-trinity-dbg

PACKAGES_WITH_LIBS := kommander-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"
